Download PDF report
GET
/v3/orgs/{organization_path}/tasks/{task_id}/report
const url = 'https://api.cardio.ai/v3/orgs/example/tasks/1/report';const options = {method: 'GET', headers: {'X-Api-Token': '<X-Api-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cardio.ai/v3/orgs/example/tasks/1/report \ --header 'X-Api-Token: <X-Api-Token>'Returns the generated PDF report for a completed task.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” organization_path
required
string
Unique organization path from organization settings.
task_id
required
integer format: uint64
Unique task identifier.
Responses
Section titled “ Responses ”PDF report bytes.
Media type application/pdf
string format: binary
Bad Request - missing or invalid parameters.
Media type application/json
string
Example generated
exampleUnauthorized - missing, expired, or invalid token.
Media type application/json
string
Example generated
exampleForbidden - the provided token is not authorized to call this endpoint.
Media type application/json
string
Example generated
exampleNot Found - requested resource does not exist or is unavailable.
Media type application/json
string
Example generated
exampleConflict - current resource state does not allow the operation.
Media type application/json
string
Example generated
exampleToo Many Requests - rate limit exceeded.
Media type application/json
string
Example generated
example